<?php

declare(strict_types=1);

namespace App\Entity\Person;

// use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use ApiPlatform\Metadata\ApiResource;
use Doctrine\ORM\Mapping as ORM;

/**
 * Parcours scolaire d'une Person.
 */
// #[Auditable]
#[ApiResource(operations: [])]
#[ORM\Entity]
class SchoolingInEstablishment
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'schoolingEstablisments')]
    private ?Person $person = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getPerson(): ?Person
    {
        return $this->person;
    }

    public function setPerson(?Person $person): self
    {
        $this->person = $person;

        return $this;
    }
}
